Index: data/trunk/levels/sp_level_spacestation1.oxw
===================================================================
--- data/trunk/levels/sp_level_spacestation1.oxw	(revision 4609)
+++ data/trunk/levels/sp_level_spacestation1.oxw	(revision 4614)
@@ -6,5 +6,4 @@
   <LoadScreen>
     <BackgroundImage>textures/load_screens/ambush.png</BackgroundImage>
-
     <ElementCount>16</ElementCount>
     <BackgroundPS>0,0,1.0,1</BackgroundPS>
@@ -16,5 +15,5 @@
 
     <BspEntity>
-      <Name>levels/maps/spacestation1/spacestation1_tower_032.bsp</Name>
+      <Name>levels/maps/spacestation1/spacestation1_tower_033.bsp</Name>
     </BspEntity>
 
@@ -22,38 +21,38 @@
       <name>Player</name>
       <model>models/creatures/doom_male/male.md2, 8</model>
-      <abs-coor>128,20,0</abs-coor>
+      <abs-coor>0,20,-768</abs-coor>
+      <abs-dir>1.57, 0, -1, 0</abs-dir>
     </FPSPlayer>
 
-
     <GenericNPC>
-       <name>pedestrianOne</name>
-       <model>models/creatures/doom_male/male.md2, 10</model>
-       <md2texture>models/creatures/doom_male/male_albat.pcx</md2texture>
-       <abs-coor>516.458313, -345, -80.734474</abs-coor>
-       <abs-dir>0, 0, 1, 0</abs-dir>
+      <name>pedestrianOne</name>
+      <model>models/creatures/doom_male/male.md2, 10</model>
+      <md2texture>models/creatures/doom_male/male_albat.pcx</md2texture>
+      <abs-coor>516.458313, -345, -80.734474</abs-coor>
+      <abs-dir>0, 0, 1, 0</abs-dir>
     </GenericNPC>
 
     <GenericNPC>
-       <name>hangarguyOne</name>
-       <model>models/creatures/doom_male/male.md2, 10</model>
-       <md2texture>models/creatures/doom_male/male_albat.pcx</md2texture>
-       <abs-coor>4.520885, 35, -715.864136</abs-coor>
-       <abs-dir>0, 0, 1, 0</abs-dir>
+      <name>hangarguyOne</name>
+      <model>models/creatures/doom_male/male.md2, 10</model>
+      <md2texture>models/creatures/doom_male/male_albat.pcx</md2texture>
+      <abs-coor>4.520885, 35, -715.864136</abs-coor>
+      <abs-dir>0, 0, 1, 0</abs-dir>
     </GenericNPC>
 
     <GenericNPC>
-       <name>barkeeper</name>
-       <model>models/creatures/doom_male/male.md2, 12</model>
-       <md2texture>models/creatures/doom_male/male_gray_armor.pcx</md2texture>
-       <abs-coor>1270.753, -12.796, -54.907</abs-coor>
-       <abs-dir>3.94, 0, 1, 0</abs-dir>
+      <name>barkeeper</name>
+      <model>models/creatures/doom_male/male.md2, 12</model>
+      <md2texture>models/creatures/doom_male/male_gray_armor.pcx</md2texture>
+      <abs-coor>1270.753, -12.796, -54.907</abs-coor>
+      <abs-dir>3.94, 0, 1, 0</abs-dir>
     </GenericNPC>
 
     <GenericNPC>
-       <name>questguy</name>
-       <model>models/creatures/doom_male/male.md2, 10</model>
-       <md2texture>models/creatures/doom_male/male_albat.pcx</md2texture>
-       <abs-coor>1177.693, -12.796, 203.514</abs-coor>
-       <abs-dir>3.14, 0, 1, 0</abs-dir>
+      <name>questguy</name>
+      <model>models/creatures/doom_male/male.md2, 10</model>
+      <md2texture>models/creatures/doom_male/male_albat.pcx</md2texture>
+      <abs-coor>1177.693, -12.796, 203.514</abs-coor>
+      <abs-dir>3.14, 0, 1, 0</abs-dir>
     </GenericNPC>
 
@@ -65,24 +64,24 @@
 
     <Rotor>
-       <name>testuranus</name>
-       <model>models/planets/uranus.obj, 9</model>
-       <abs-coor>0,48,0</abs-coor>
-       <rotation>1,3,0</rotation>
+      <name>uranus</name>
+      <model>models/planets/uranus.obj, 9</model>
+      <abs-coor>0,48,0</abs-coor>
+      <rotation>1,3,0</rotation>
     </Rotor>
 
     <Rotor>
-       <name>rotor1</name>
-       <model>models/decoration/rotor1.obj, 17</model>
-       <abs-coor>1024,224,0</abs-coor>
-       <abs-dir>1.57, 1, 0, 0</abs-dir>
-       <rotation>0,0,8</rotation>
+      <name>rotor1</name>
+      <model>models/decoration/rotor1.obj, 17</model>
+      <abs-coor>1024,224,0</abs-coor>
+      <abs-dir>1.57, 1, 0, 0</abs-dir>
+      <rotation>0,0,8</rotation>
     </Rotor>
 
     <Rotor>
-       <name>rotor2</name>
-       <model>models/decoration/rotor2.obj, 19</model>
-       <abs-coor>1024,-31,0</abs-coor>
-       <abs-dir>1.57, 1, 0, 0</abs-dir>
-       <rotation>0,0,8</rotation>
+      <name>rotor2</name>
+      <model>models/decoration/rotor2.obj, 19</model>
+      <abs-coor>1024,-31,0</abs-coor>
+      <abs-dir>1.57, 1, 0, 0</abs-dir>
+      <rotation>0,0,8</rotation>
     </Rotor>
 
@@ -104,4 +103,8 @@
       <action-time>1.25</action-time>
       <action-radius>150.0</action-radius>
+      <opening-sound>sounds/ComboActivated.wav</opening-sound>
+      <moving-sound>sounds/machinery8.wav</moving-sound>
+      <closing-sound>sounds/ComboActivated.wav</closing-sound>
+      <closed-sound>sounds/ArmorHit.wav</closed-sound>
     </Mover>
     <Mover>
@@ -134,409 +137,405 @@
     </Mover>
 
-   <SpriteParticles>
-     <name>Steam at Entrance</name>
-     <type>sprite</type>
-     <texture>steam01.png</texture>
-     <max-count>150</max-count>
-     <life-span>14, 2</life-span>
-     <radius>0.0, 100.0, 100.0</radius>
-     <radius>0.2, 100.0, 100</radius>
-     <radius>1.0, 100.0, 100</radius>
-     <mass>1.0, 0.5, .3</mass>
-     <color>0,1, 1, 1,.5</color>
-     <color>.5, .6, .6, .6, .2</color>
-     <color>1, .0, .0, .0, .0</color>
-     <precache>5</precache>
-     <emitters>
-      <PlaneEmitter>
-        <name>SteamEmitter</name>
-        <rel-coor>0, -300, -900</rel-coor>
-        <rel-dir>3.1412, 0, 0, 1</rel-dir>
-        <spread>0, 1.0</spread>
-        <emission-velocity>-50,50</emission-velocity>
-        <size>100, 100</size>
-        <rate>10</rate>
-      </PlaneEmitter>
-     </emitters>
-  </SpriteParticles>
-
-   <SpriteParticles>
-     <name>Steam in Bar (top)</name>
-     <type>sprite</type>
-     <texture>steam01.png</texture>
-     <max-count>150</max-count>
-     <life-span>14, 2</life-span>
-     <radius>0.0, 100.0, 100.0</radius>
-     <radius>0.2, 100.0, 100</radius>
-     <radius>1.0, 100.0, 100</radius>
-     <mass>1.0, 0.5, .3</mass>
-     <color>0,1, 1, 1,.5</color>
-     <color>.5, .6, .6, .6, .2</color>
-     <color>1, .0, .0, .0, .0</color>
-     <precache>5</precache>
-     <emitters>
-      <PlaneEmitter>
-        <name>SteamEmitter</name>
-        <rel-coor>1024, 576, 0</rel-coor>
-        <rel-dir>3.1412, 0, 0, 1</rel-dir>
-        <spread>0.0, 0.3</spread>
-        <emission-velocity>50,50</emission-velocity>
-        <size>50, 50</size>
-        <rate>10</rate>
-      </PlaneEmitter>
-     </emitters>
-  </SpriteParticles>
-
-   <SpriteParticles>
-     <name>Steam in personal room (top)</name>
-     <type>sprite</type>
-     <texture>steam01.png</texture>
-     <max-count>50</max-count>
-     <life-span>4, 2</life-span>
-     <radius>0.0, 25.0, 100.0</radius>
-     <radius>0.2, 25.0, 100</radius>
-     <radius>1.0, 25.0, 100</radius>
-     <mass>1.0, 0.5, .3</mass>
-     <color>0,1, 1, 1,.5</color>
-     <color>.5, .6, .6, .6, .2</color>
-     <color>1, .0, .0, .0, .0</color>
-     <precache>5</precache>
-     <emitters>
-      <PlaneEmitter>
-        <name>SteamEmitter</name>
-        <rel-coor>-736, 224, -48</rel-coor>
-        <rel-dir>3.1412, 0, 0, 1</rel-dir>
-        <spread>0.0, 0.15</spread>
-        <emission-velocity>40,50</emission-velocity>
-        <size>25, 25</size>
-        <rate>10</rate>
-      </PlaneEmitter>
-     </emitters>
-  </SpriteParticles>
-
-   <SpriteParticles>
-     <name>Steam in personal room (top)</name>
-     <type>sprite</type>
-     <texture>steam01.png</texture>
-     <max-count>50</max-count>
-     <life-span>4, 2</life-span>
-     <radius>0.0, 25.0, 100.0</radius>
-     <radius>0.2, 25.0, 100</radius>
-     <radius>1.0, 25.0, 100</radius>
-     <mass>1.0, 0.5, .3</mass>
-     <color>0,1, 1, 1,.5</color>
-     <color>.5, .6, .6, .6, .2</color>
-     <color>1, .0, .0, .0, .0</color>
-     <precache>5</precache>
-     <emitters>
-      <PlaneEmitter>
-        <name>SteamEmitter</name>
-        <rel-coor>-880, 224, -48</rel-coor>
-        <rel-dir>3.1412, 0, 0, 1</rel-dir>
-        <spread>0.0, 0.15</spread>
-        <emission-velocity>40,50</emission-velocity>
-        <size>25, 25</size>
-        <rate>10</rate>
-      </PlaneEmitter>
-     </emitters>
-  </SpriteParticles>
-
-   <SpriteParticles>
-     <name>Steam in personal room (tubes)</name>
-     <type>sprite</type>
-     <texture>steam01.png</texture>
-     <max-count>50</max-count>
-     <life-span>1, 2</life-span>
-     <radius>0.0, 12.0, 12.0</radius>
-     <radius>0.2, 12.0, 12.0</radius>
-     <radius>1.0, 12.0, 12.0</radius>
-     <mass>1.0, 0.5, .3</mass>
-     <color>0,1, 1, 1,.5</color>
-     <color>.5, .6, .6, .6, .2</color>
-     <color>1, .0, .0, .0, .0</color>
-     <precache>2</precache>
-     <emitters>
-      <PlaneEmitter>
-        <name>SteamEmitter</name>
-        <rel-coor>-896, 120, -144</rel-coor>
-        <rel-dir>-2.356, -1, 0, 1</rel-dir>
-        <spread>0.0, 0.3</spread>
-        <emission-velocity>40, 50</emission-velocity>
-        <size>10, 20</size>
-        <rate>10</rate>
-      </PlaneEmitter>
-     </emitters>
-  </SpriteParticles>
-
-   <SpriteParticles>
-     <name>Steam in personal room (tubes)</name>
-     <type>sprite</type>
-     <texture>steam01.png</texture>
-     <max-count>50</max-count>
-     <life-span>1, 2</life-span>
-     <radius>0.0, 12.0, 12.0</radius>
-     <radius>0.2, 12.0, 12.0</radius>
-     <radius>1.0, 12.0, 12.0</radius>
-     <mass>1.0, 0.5, .3</mass>
-     <color>0,1, 1, 1,.5</color>
-     <color>.5, .6, .6, .6, .2</color>
-     <color>1, .0, .0, .0, .0</color>
-     <precache>2</precache>
-     <emitters>
-      <PlaneEmitter>
-        <name>SteamEmitter</name>
-        <rel-coor>-800, 120, 88</rel-coor>
-        <rel-dir>-2.356, 0, 0, -1</rel-dir>
-        <spread>0.0, 0.3</spread>
-        <emission-velocity>40, 50</emission-velocity>
-        <size>10, 20</size>
-        <rate>10</rate>
-      </PlaneEmitter>
-     </emitters>
-  </SpriteParticles>
-
-   <SpriteParticles>
-     <name>Steam in personal room (tubes)</name>
-     <type>sprite</type>
-     <texture>steam01.png</texture>
-     <max-count>50</max-count>
-     <life-span>1, 2</life-span>
-     <radius>0.0, 12.0, 12.0</radius>
-     <radius>0.2, 12.0, 12.0</radius>
-     <radius>1.0, 12.0, 12.0</radius>
-     <mass>1.0, 0.5, .3</mass>
-     <color>0,1, 1, 1,.5</color>
-     <color>.5, .6, .6, .6, .2</color>
-     <color>1, .0, .0, .0, .0</color>
-     <precache>2</precache>
-     <emitters>
-      <PlaneEmitter>
-        <name>SteamEmitter</name>
-        <rel-coor>-648, 120, -96</rel-coor>
-        <rel-dir>-2.356, 0, 0, -1</rel-dir>
-        <spread>0.0, 0.3</spread>
-        <emission-velocity>40, 50</emission-velocity>
-        <size>10, 20</size>
-        <rate>10</rate>
-      </PlaneEmitter>
-     </emitters>
-  </SpriteParticles>
-
-   <SpriteParticles>
-     <name>Steam in tower (tubes)</name>
-     <type>sprite</type>
-     <texture>steam01.png</texture>
-     <max-count>50</max-count>
-     <life-span>1, 2</life-span>
-     <radius>0.0, 12.0, 12.0</radius>
-     <radius>0.2, 12.0, 12.0</radius>
-     <radius>1.0, 12.0, 12.0</radius>
-     <mass>1.0, 0.5, .3</mass>
-     <color>0,1, 1, 1,.5</color>
-     <color>.5, .6, .6, .6, .2</color>
-     <color>1, .0, .0, .0, .0</color>
-     <precache>2</precache>
-     <emitters>
-      <PlaneEmitter>
-        <name>SteamEmitter</name>
-        <rel-coor>-616, 120, -96</rel-coor>
-        <rel-dir>-2.356, 0, 0, 1</rel-dir>
-        <spread>0.0, 0.3</spread>
-        <emission-velocity>40, 50</emission-velocity>
-        <size>10, 20</size>
-        <rate>10</rate>
-      </PlaneEmitter>
-     </emitters>
-  </SpriteParticles>
-
-   <SpriteParticles>
-     <name>Steam in tower (tubes)</name>
-     <type>sprite</type>
-     <texture>steam01.png</texture>
-     <max-count>50</max-count>
-     <life-span>1, 2</life-span>
-     <radius>0.0, 12.0, 12.0</radius>
-     <radius>0.2, 12.0, 12.0</radius>
-     <radius>1.0, 12.0, 12.0</radius>
-     <mass>1.0, 0.5, .3</mass>
-     <color>0,1, 1, 1,.5</color>
-     <color>.5, .6, .6, .6, .2</color>
-     <color>1, .0, .0, .0, .0</color>
-     <precache>2</precache>
-     <emitters>
-      <PlaneEmitter>
-        <name>SteamEmitter</name>
-        <rel-coor>-480, 120, -408</rel-coor>
-        <rel-dir>-2.356, 0, 0, 1</rel-dir>
-        <spread>0.0, 0.3</spread>
-        <emission-velocity>40, 50</emission-velocity>
-        <size>10, 20</size>
-        <rate>10</rate>
-      </PlaneEmitter>
-     </emitters>
-  </SpriteParticles>
-
-   <SpriteParticles>
-     <name>Steam in tower (tubes)</name>
-     <type>sprite</type>
-     <texture>steam01.png</texture>
-     <max-count>50</max-count>
-     <life-span>1, 2</life-span>
-     <radius>0.0, 12.0, 12.0</radius>
-     <radius>0.2, 12.0, 12.0</radius>
-     <radius>1.0, 12.0, 12.0</radius>
-     <mass>1.0, 0.5, .3</mass>
-     <color>0,1, 1, 1,.5</color>
-     <color>.5, .6, .6, .6, .2</color>
-     <color>1, .0, .0, .0, .0</color>
-     <precache>2</precache>
-     <emitters>
-      <PlaneEmitter>
-        <name>SteamEmitter</name>
-        <rel-coor>-408, 120, -480</rel-coor>
-        <rel-dir>-2.356, -1, 0, 1</rel-dir>
-        <spread>0.0, 0.3</spread>
-        <emission-velocity>40, 50</emission-velocity>
-        <size>10, 20</size>
-        <rate>10</rate>
-      </PlaneEmitter>
-     </emitters>
-  </SpriteParticles>
-
-   <SpriteParticles>
-     <name>Steam in tower (tubes)</name>
-     <type>sprite</type>
-     <texture>steam01.png</texture>
-     <max-count>50</max-count>
-     <life-span>1, 2</life-span>
-     <radius>0.0, 12.0, 12.0</radius>
-     <radius>0.2, 12.0, 12.0</radius>
-     <radius>1.0, 12.0, 12.0</radius>
-     <mass>1.0, 0.5, .3</mass>
-     <color>0,1, 1, 1,.5</color>
-     <color>.5, .6, .6, .6, .2</color>
-     <color>1, .0, .0, .0, .0</color>
-     <precache>2</precache>
-     <emitters>
-      <PlaneEmitter>
-        <name>SteamEmitter</name>
-        <rel-coor>-480, 120, 408</rel-coor>
-        <rel-dir>-2.356, 0, 0, 1</rel-dir>
-        <spread>0.0, 0.3</spread>
-        <emission-velocity>40, 50</emission-velocity>
-        <size>10, 20</size>
-        <rate>10</rate>
-      </PlaneEmitter>
-     </emitters>
-  </SpriteParticles>
-
-   <SpriteParticles>
-     <name>Steam in tower (tubes)</name>
-     <type>sprite</type>
-     <texture>steam01.png</texture>
-     <max-count>50</max-count>
-     <life-span>1, 2</life-span>
-     <radius>0.0, 12.0, 12.0</radius>
-     <radius>0.2, 12.0, 12.0</radius>
-     <radius>1.0, 12.0, 12.0</radius>
-     <mass>1.0, 0.5, .3</mass>
-     <color>0,1, 1, 1,.5</color>
-     <color>.5, .6, .6, .6, .2</color>
-     <color>1, .0, .0, .0, .0</color>
-     <precache>2</precache>
-     <emitters>
-      <PlaneEmitter>
-        <name>SteamEmitter</name>
-        <rel-coor>-408, 120, 480</rel-coor>
-        <rel-dir>-2.356, 1, 0, 1</rel-dir>
-        <spread>0.0, 0.3</spread>
-        <emission-velocity>40, 50</emission-velocity>
-        <size>10, 20</size>
-        <rate>10</rate>
-      </PlaneEmitter>
-     </emitters>
-  </SpriteParticles>
-
-   <SpriteParticles>
-     <name>Steam in tower (tubes)</name>
-     <type>sprite</type>
-     <texture>steam01.png</texture>
-     <max-count>50</max-count>
-     <life-span>1, 2</life-span>
-     <radius>0.0, 12.0, 12.0</radius>
-     <radius>0.2, 12.0, 12.0</radius>
-     <radius>1.0, 12.0, 12.0</radius>
-     <mass>1.0, 0.5, .3</mass>
-     <color>0,1, 1, 1,.5</color>
-     <color>.5, .6, .6, .6, .2</color>
-     <color>1, .0, .0, .0, .0</color>
-     <precache>2</precache>
-     <emitters>
-      <PlaneEmitter>
-        <name>SteamEmitter</name>
-        <rel-coor>408, 120, 480</rel-coor>
-        <rel-dir>-2.356, 1, 0, -1</rel-dir>
-        <spread>0.0, 0.3</spread>
-        <emission-velocity>40, 50</emission-velocity>
-        <size>10, 20</size>
-        <rate>10</rate>
-      </PlaneEmitter>
-     </emitters>
-  </SpriteParticles>
-
-   <SpriteParticles>
-     <name>Steam in tower (tubes)</name>
-     <type>sprite</type>
-     <texture>steam01.png</texture>
-     <max-count>50</max-count>
-     <life-span>1, 2</life-span>
-     <radius>0.0, 12.0, 12.0</radius>
-     <radius>0.2, 12.0, 12.0</radius>
-     <radius>1.0, 12.0, 12.0</radius>
-     <mass>1.0, 0.5, .3</mass>
-     <color>0,1, 1, 1,.5</color>
-     <color>.5, .6, .6, .6, .2</color>
-     <color>1, .0, .0, .0, .0</color>
-     <precache>2</precache>
-     <emitters>
-      <PlaneEmitter>
-        <name>SteamEmitter</name>
-        <rel-coor>408, 120, -480</rel-coor>
-        <rel-dir>-2.356, -1, 0, -1</rel-dir>
-        <spread>0.0, 0.3</spread>
-        <emission-velocity>40, 50</emission-velocity>
-        <size>10, 20</size>
-        <rate>10</rate>
-      </PlaneEmitter>
-     </emitters>
-  </SpriteParticles>
+    <SpriteParticles>
+      <name>Steam at Entrance</name>
+      <type>sprite</type>
+      <texture>steam01.png</texture>
+      <max-count>150</max-count>
+      <life-span>14, 2</life-span>
+      <radius>0.0, 100.0, 100.0</radius>
+      <radius>0.2, 100.0, 100</radius>
+      <radius>1.0, 100.0, 100</radius>
+      <mass>1.0, 0.5, .3</mass>
+      <color>0,1, 1, 1,.5</color>
+      <color>.5, .6, .6, .6, .2</color>
+      <color>1, .0, .0, .0, .0</color>
+      <precache>5</precache>
+      <emitters>
+        <PlaneEmitter>
+          <name>SteamEmitter</name>
+          <rel-coor>0, -300, -900</rel-coor>
+          <rel-dir>3.1412, 0, 0, 1</rel-dir>
+          <spread>0, 1.0</spread>
+          <emission-velocity>-50,50</emission-velocity>
+          <size>100, 100</size>
+          <rate>10</rate>
+        </PlaneEmitter>
+      </emitters>
+    </SpriteParticles>
+
+    <SpriteParticles>
+      <name>Steam in Bar (top)</name>
+      <type>sprite</type>
+      <texture>steam01.png</texture>
+      <max-count>150</max-count>
+      <life-span>14, 2</life-span>
+      <radius>0.0, 100.0, 100.0</radius>
+      <radius>0.2, 100.0, 100</radius>
+      <radius>1.0, 100.0, 100</radius>
+      <mass>1.0, 0.5, .3</mass>
+      <color>0,1, 1, 1,.5</color>
+      <color>.5, .6, .6, .6, .2</color>
+      <color>1, .0, .0, .0, .0</color>
+      <precache>5</precache>
+      <emitters>
+        <PlaneEmitter>
+          <name>SteamEmitter</name>
+          <rel-coor>1024, 576, 0</rel-coor>
+          <rel-dir>3.1412, 0, 0, 1</rel-dir>
+          <spread>0.0, 0.3</spread>
+          <emission-velocity>50,50</emission-velocity>
+          <size>50, 50</size>
+          <rate>10</rate>
+        </PlaneEmitter>
+      </emitters>
+    </SpriteParticles>
+
+    <SpriteParticles>
+      <name>Steam in personal room (top)</name>
+      <type>sprite</type>
+      <texture>steam01.png</texture>
+      <max-count>50</max-count>
+      <life-span>4, 2</life-span>
+      <radius>0.0, 25.0, 100.0</radius>
+      <radius>0.2, 25.0, 100</radius>
+      <radius>1.0, 25.0, 100</radius>
+      <mass>1.0, 0.5, .3</mass>
+      <color>0,1, 1, 1,.5</color>
+      <color>.5, .6, .6, .6, .2</color>
+      <color>1, .0, .0, .0, .0</color>
+      <precache>5</precache>
+      <emitters>
+        <PlaneEmitter>
+          <name>SteamEmitter</name>
+          <rel-coor>-736, 224, -48</rel-coor>
+          <rel-dir>3.1412, 0, 0, 1</rel-dir>
+          <spread>0.0, 0.15</spread>
+          <emission-velocity>40,50</emission-velocity>
+          <size>25, 25</size>
+          <rate>10</rate>
+        </PlaneEmitter>
+      </emitters>
+    </SpriteParticles>
+
+    <SpriteParticles>
+      <name>Steam in personal room (top)</name>
+      <type>sprite</type>
+      <texture>steam01.png</texture>
+      <max-count>50</max-count>
+      <life-span>4, 2</life-span>
+      <radius>0.0, 25.0, 100.0</radius>
+      <radius>0.2, 25.0, 100</radius>
+      <radius>1.0, 25.0, 100</radius>
+      <mass>1.0, 0.5, .3</mass>
+      <color>0,1, 1, 1,.5</color>
+      <color>.5, .6, .6, .6, .2</color>
+      <color>1, .0, .0, .0, .0</color>
+      <precache>5</precache>
+      <emitters>
+        <PlaneEmitter>
+          <name>SteamEmitter</name>
+          <rel-coor>-880, 224, -48</rel-coor>
+          <rel-dir>3.1412, 0, 0, 1</rel-dir>
+          <spread>0.0, 0.15</spread>
+          <emission-velocity>40,50</emission-velocity>
+          <size>25, 25</size>
+          <rate>10</rate>
+        </PlaneEmitter>
+      </emitters>
+    </SpriteParticles>
+
+    <SpriteParticles>
+      <name>Steam in personal room (tubes)</name>
+      <type>sprite</type>
+      <texture>steam01.png</texture>
+      <max-count>50</max-count>
+      <life-span>1, 2</life-span>
+      <radius>0.0, 12.0, 12.0</radius>
+      <radius>0.2, 12.0, 12.0</radius>
+      <radius>1.0, 12.0, 12.0</radius>
+      <mass>1.0, 0.5, .3</mass>
+      <color>0,1, 1, 1,.5</color>
+      <color>.5, .6, .6, .6, .2</color>
+      <color>1, .0, .0, .0, .0</color>
+      <precache>2</precache>
+      <emitters>
+        <PlaneEmitter>
+          <name>SteamEmitter</name>
+          <rel-coor>-896, 120, -144</rel-coor>
+          <rel-dir>-2.356, -1, 0, 1</rel-dir>
+          <spread>0.0, 0.3</spread>
+          <emission-velocity>40, 50</emission-velocity>
+          <size>10, 20</size>
+          <rate>10</rate>
+        </PlaneEmitter>
+      </emitters>
+    </SpriteParticles>
+
+    <SpriteParticles>
+      <name>Steam in personal room (tubes)</name>
+      <type>sprite</type>
+      <texture>steam01.png</texture>
+      <max-count>50</max-count>
+      <life-span>1, 2</life-span>
+      <radius>0.0, 12.0, 12.0</radius>
+      <radius>0.2, 12.0, 12.0</radius>
+      <radius>1.0, 12.0, 12.0</radius>
+      <mass>1.0, 0.5, .3</mass>
+      <color>0,1, 1, 1,.5</color>
+      <color>.5, .6, .6, .6, .2</color>
+      <color>1, .0, .0, .0, .0</color>
+      <precache>2</precache>
+      <emitters>
+        <PlaneEmitter>
+          <name>SteamEmitter</name>
+          <rel-coor>-800, 120, 88</rel-coor>
+          <rel-dir>-2.356, 0, 0, -1</rel-dir>
+          <spread>0.0, 0.3</spread>
+          <emission-velocity>40, 50</emission-velocity>
+          <size>10, 20</size>
+          <rate>10</rate>
+        </PlaneEmitter>
+      </emitters>
+    </SpriteParticles>
+
+    <SpriteParticles>
+      <name>Steam in personal room (tubes)</name>
+      <type>sprite</type>
+      <texture>steam01.png</texture>
+      <max-count>50</max-count>
+      <life-span>1, 2</life-span>
+      <radius>0.0, 12.0, 12.0</radius>
+      <radius>0.2, 12.0, 12.0</radius>
+      <radius>1.0, 12.0, 12.0</radius>
+      <mass>1.0, 0.5, .3</mass>
+      <color>0,1, 1, 1,.5</color>
+      <color>.5, .6, .6, .6, .2</color>
+      <color>1, .0, .0, .0, .0</color>
+      <precache>2</precache>
+      <emitters>
+        <PlaneEmitter>
+          <name>SteamEmitter</name>
+          <rel-coor>-648, 120, -96</rel-coor>
+          <rel-dir>-2.356, 0, 0, -1</rel-dir>
+          <spread>0.0, 0.3</spread>
+          <emission-velocity>40, 50</emission-velocity>
+          <size>10, 20</size>
+          <rate>10</rate>
+        </PlaneEmitter>
+      </emitters>
+    </SpriteParticles>
+
+    <SpriteParticles>
+      <name>Steam in tower (tubes)</name>
+      <type>sprite</type>
+      <texture>steam01.png</texture>
+      <max-count>50</max-count>
+      <life-span>1, 2</life-span>
+      <radius>0.0, 12.0, 12.0</radius>
+      <radius>0.2, 12.0, 12.0</radius>
+      <radius>1.0, 12.0, 12.0</radius>
+      <mass>1.0, 0.5, .3</mass>
+      <color>0,1, 1, 1,.5</color>
+      <color>.5, .6, .6, .6, .2</color>
+      <color>1, .0, .0, .0, .0</color>
+      <precache>2</precache>
+      <emitters>
+        <PlaneEmitter>
+          <name>SteamEmitter</name>
+          <rel-coor>-616, 120, -96</rel-coor>
+          <rel-dir>-2.356, 0, 0, 1</rel-dir>
+          <spread>0.0, 0.3</spread>
+          <emission-velocity>40, 50</emission-velocity>
+          <size>10, 20</size>
+          <rate>10</rate>
+        </PlaneEmitter>
+      </emitters>
+    </SpriteParticles>
+
+    <SpriteParticles>
+      <name>Steam in tower (tubes)</name>
+      <type>sprite</type>
+      <texture>steam01.png</texture>
+      <max-count>50</max-count>
+      <life-span>1, 2</life-span>
+      <radius>0.0, 12.0, 12.0</radius>
+      <radius>0.2, 12.0, 12.0</radius>
+      <radius>1.0, 12.0, 12.0</radius>
+      <mass>1.0, 0.5, .3</mass>
+      <color>0,1, 1, 1,.5</color>
+      <color>.5, .6, .6, .6, .2</color>
+      <color>1, .0, .0, .0, .0</color>
+      <precache>2</precache>
+      <emitters>
+        <PlaneEmitter>
+          <name>SteamEmitter</name>
+          <rel-coor>-480, 120, -408</rel-coor>
+          <rel-dir>-2.356, 0, 0, 1</rel-dir>
+          <spread>0.0, 0.3</spread>
+          <emission-velocity>40, 50</emission-velocity>
+          <size>10, 20</size>
+          <rate>10</rate>
+        </PlaneEmitter>
+      </emitters>
+    </SpriteParticles>
+
+    <SpriteParticles>
+      <name>Steam in tower (tubes)</name>
+      <type>sprite</type>
+      <texture>steam01.png</texture>
+      <max-count>50</max-count>
+      <life-span>1, 2</life-span>
+      <radius>0.0, 12.0, 12.0</radius>
+      <radius>0.2, 12.0, 12.0</radius>
+      <radius>1.0, 12.0, 12.0</radius>
+      <mass>1.0, 0.5, .3</mass>
+      <color>0,1, 1, 1,.5</color>
+      <color>.5, .6, .6, .6, .2</color>
+      <color>1, .0, .0, .0, .0</color>
+      <precache>2</precache>
+      <emitters>
+        <PlaneEmitter>
+          <name>SteamEmitter</name>
+          <rel-coor>-408, 120, -480</rel-coor>
+          <rel-dir>-2.356, -1, 0, 1</rel-dir>
+          <spread>0.0, 0.3</spread>
+          <emission-velocity>40, 50</emission-velocity>
+          <size>10, 20</size>
+          <rate>10</rate>
+        </PlaneEmitter>
+      </emitters>
+    </SpriteParticles>
+
+    <SpriteParticles>
+      <name>Steam in tower (tubes)</name>
+      <type>sprite</type>
+      <texture>steam01.png</texture>
+      <max-count>50</max-count>
+      <life-span>1, 2</life-span>
+      <radius>0.0, 12.0, 12.0</radius>
+      <radius>0.2, 12.0, 12.0</radius>
+      <radius>1.0, 12.0, 12.0</radius>
+      <mass>1.0, 0.5, .3</mass>
+      <color>0,1, 1, 1,.5</color>
+      <color>.5, .6, .6, .6, .2</color>
+      <color>1, .0, .0, .0, .0</color>
+      <precache>2</precache>
+      <emitters>
+        <PlaneEmitter>
+          <name>SteamEmitter</name>
+          <rel-coor>-480, 120, 408</rel-coor>
+          <rel-dir>-2.356, 0, 0, 1</rel-dir>
+          <spread>0.0, 0.3</spread>
+          <emission-velocity>40, 50</emission-velocity>
+          <size>10, 20</size>
+          <rate>10</rate>
+        </PlaneEmitter>
+      </emitters>
+    </SpriteParticles>
+
+    <SpriteParticles>
+      <name>Steam in tower (tubes)</name>
+      <type>sprite</type>
+      <texture>steam01.png</texture>
+      <max-count>50</max-count>
+      <life-span>1, 2</life-span>
+      <radius>0.0, 12.0, 12.0</radius>
+      <radius>0.2, 12.0, 12.0</radius>
+      <radius>1.0, 12.0, 12.0</radius>
+      <mass>1.0, 0.5, .3</mass>
+      <color>0,1, 1, 1,.5</color>
+      <color>.5, .6, .6, .6, .2</color>
+      <color>1, .0, .0, .0, .0</color>
+      <precache>2</precache>
+      <emitters>
+        <PlaneEmitter>
+          <name>SteamEmitter</name>
+          <rel-coor>-408, 120, 480</rel-coor>
+          <rel-dir>-2.356, 1, 0, 1</rel-dir>
+          <spread>0.0, 0.3</spread>
+          <emission-velocity>40, 50</emission-velocity>
+          <size>10, 20</size>
+          <rate>10</rate>
+        </PlaneEmitter>
+      </emitters>
+    </SpriteParticles>
+
+    <SpriteParticles>
+      <name>Steam in tower (tubes)</name>
+      <type>sprite</type>
+      <texture>steam01.png</texture>
+      <max-count>50</max-count>
+      <life-span>1, 2</life-span>
+      <radius>0.0, 12.0, 12.0</radius>
+      <radius>0.2, 12.0, 12.0</radius>
+      <radius>1.0, 12.0, 12.0</radius>
+      <mass>1.0, 0.5, .3</mass>
+      <color>0,1, 1, 1,.5</color>
+      <color>.5, .6, .6, .6, .2</color>
+      <color>1, .0, .0, .0, .0</color>
+      <precache>2</precache>
+      <emitters>
+        <PlaneEmitter>
+          <name>SteamEmitter</name>
+          <rel-coor>408, 120, 480</rel-coor>
+          <rel-dir>-2.356, 1, 0, -1</rel-dir>
+          <spread>0.0, 0.3</spread>
+          <emission-velocity>40, 50</emission-velocity>
+          <size>10, 20</size>
+          <rate>10</rate>
+        </PlaneEmitter>
+      </emitters>
+    </SpriteParticles>
+
+    <SpriteParticles>
+      <name>Steam in tower (tubes)</name>
+      <type>sprite</type>
+      <texture>steam01.png</texture>
+      <max-count>50</max-count>
+      <life-span>1, 2</life-span>
+      <radius>0.0, 12.0, 12.0</radius>
+      <radius>0.2, 12.0, 12.0</radius>
+      <radius>1.0, 12.0, 12.0</radius>
+      <mass>1.0, 0.5, .3</mass>
+      <color>0,1, 1, 1,.5</color>
+      <color>.5, .6, .6, .6, .2</color>
+      <color>1, .0, .0, .0, .0</color>
+      <precache>2</precache>
+      <emitters>
+        <PlaneEmitter>
+          <name>SteamEmitter</name>
+          <rel-coor>408, 120, -480</rel-coor>
+          <rel-dir>-2.356, -1, 0, -1</rel-dir>
+          <spread>0.0, 0.3</spread>
+          <emission-velocity>40, 50</emission-velocity>
+          <size>10, 20</size>
+          <rate>10</rate>
+        </PlaneEmitter>
+      </emitters>
+    </SpriteParticles>
 
   </WorldEntities>
 
-
   <ScriptManager> 
-
-   <Scripts>
-
-    <Script>
-     <file>spacestation/spaceship_tower.lua</file>
-    </Script>
-
-    <Script>
-     <file>spacestation/switchtohangar.lua</file>
-    </Script>
-
-   </Scripts>
-
+    <Scripts>
+
+      <Script>
+        <file>spacestation/spaceship_tower.lua</file>
+      </Script>
+
+      <Script>
+        <file>spacestation/switchtohangar.lua</file>
+      </Script>
+
+    </Scripts>
   </ScriptManager>
 
-
-  <Music>music/tower01.ogg</Music>
+  <Music>music/tower02.ogg</Music>
 
   <LightManager>
     <Lights>
       <Light>
-       <diffuse-color>1,1,1</diffuse-color>
-       <abs-coor>0,0,0</abs-coor>
+        <diffuse-color>1,1,1</diffuse-color>
+        <abs-coor>0,0,0</abs-coor>
       </Light>
       <Light>
@@ -544,5 +543,5 @@
        <abs-coor>-787, 30, -64</abs-coor>
       </Light>
-    </Lights>
+   </Lights>
     <ambient-color>1,1,1</ambient-color>
   </LightManager>
